Package net.sourceforge.jiu.codecs

# Class UnsupportedCodecModeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
net.sourceforge.jiu.ops.OperationFailedException
net.sourceforge.jiu.codecs.UnsupportedCodecModeException

All Implemented Interfaces:
  `Serializable`

public class UnsupportedCodecModeException extends OperationFailedException
This exception is thrown when a codec does not support the codec mode wanted by the user. Example: A user gives an OutputStream to a codec, indicating that an image is to be saved, but the codec only supports loading.

Since:
  0.10.0
Author:
  Marco Schmidt
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnsupportedCodecModeException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnsupportedCodecModeException

public UnsupportedCodecModeException(String message)